Loading...
Searching...
No Matches
pcl::visualization::PointPickingCallback Class Reference

`#include <pcl/visualization/point_picking_event.h>`

Inheritance diagram for pcl::visualization::PointPickingCallback:

## Public Member Functions

| ~PointPickingCallback () override=default
| Empty destructor.
void | Execute (vtkObject *caller, unsigned long eventid, void *) override
pcl::index_t | performSinglePick (vtkRenderWindowInteractor *iren)
pcl::index_t | performSinglePick (vtkRenderWindowInteractor *iren, float &x, float &y, float &z)
pcl::index_t | performAreaPick (vtkRenderWindowInteractor *iren, CloudActorMapPtr cam_ptr, std::map< std::string, pcl::Indices > &cloud_indices) const

## Static Public Member Functions

static PointPickingCallback * | New ()

## Detailed Description

Definition at line 59 of file point_picking_event.h.

## Constructor & Destructor Documentation

## ~PointPickingCallback()

pcl::visualization::PointPickingCallback::~PointPickingCallback | ( |  | ) |

override default

Empty destructor.

## Member Function Documentation

## Execute()

void pcl::visualization::PointPickingCallback::Execute | ( | vtkObject * | caller,
|  | unsigned long | eventid,
|  | void * | )

override

## New()

PointPickingCallback * pcl::visualization::PointPickingCallback::New | ( |  | ) |

inline static

Definition at line 62 of file point_picking_event.h.

## performAreaPick()

pcl::index_t pcl::visualization::PointPickingCallback::performAreaPick | ( | vtkRenderWindowInteractor * | iren,
|  | CloudActorMapPtr | cam_ptr,
|  | std::map< std::string, pcl::Indices > & | cloud_indices ) const

## performSinglePick() [1/2]

pcl::index_t pcl::visualization::PointPickingCallback::performSinglePick | ( | vtkRenderWindowInteractor * | iren | ) |

## performSinglePick() [2/2]

pcl::index_t pcl::visualization::PointPickingCallback::performSinglePick | ( | vtkRenderWindowInteractor * | iren,
|  | float & | x,
|  | float & | y,
|  | float & | z )

The documentation for this class was generated from the following file:

- pcl/visualization/point_picking_event.h